using System;

namespace ConsoleApp55
{
    class Program
    {
        static void ispisi(int a, int b)
        {
            int povrsina = a * b;
            int obim = 2 * a + 2 * b - 4;
            int ostatak = povrsina - obim;
            int rezultat = obim + ostatak / 2;
            Console.WriteLine(rezultat);
        }
        static void Main(string[] args)
        {
            string[] unos = Console.ReadLine().Split();
            int a = int.Parse(unos[0]), b = int.Parse(unos[1]);

            ispisi(a, b);
        }
    }
}